// testCommand.cxx

#include "testap3.h"

extern void Do_IDM_TEST( HWND hWnd );


BOOL InFileListRange( int wmID )
{
   if(( wmID >= IDM_FILELIST ) && (wmID <= (IDM_FILELIST + MAX_FILE_LIST)))
      return TRUE;

   return FALSE;
}

LRESULT Do_WM_COMMAND(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
   int wmId    = LOWORD(wParam);
	int wmEvent = HIWORD(wParam);
	// Parse the menu selections:
   if( InFileListRange( wmId ) ) {
      // load this FILE
      PTSTR pf = GetFileListStg( wmId - IDM_FILELIST + 1 );
      if( pf ) {
         Load_DIB_File(pf);
      }
      return 0;
   }
	switch (wmId)
	{
	case IDM_ABOUT:
		DialogBox(g_hInst, MAKEINTRESOURCE(IDD_ABOUTBOX), hWnd, About);
		break;
	case IDM_EXIT:
      UpdateWP( hWnd );
		DestroyWindow(hWnd);
		break;
	case IDM_TEST:
      Do_IDM_TEST( hWnd );
      break;
   case IDM_ACTIONTEST:
      Do_IDM_ACTIONTEST( hWnd );
      //Do_CLIP( hWnd );
      break;
   case IDM_ACTIONCOLOR:
      Do_Color( hWnd );
      break;
   case IDM_ACTIONANIM:
      Do_IDM_ACTIONANIM( hWnd );
      break;
	case IDM_FILEOPEN:
      Do_IDM_FILEOPEN( hWnd );
		break;
   case IDM_ACTIONINFO:
      Do_IDM_ACTIONINFO(hWnd );
      break;
   case IDM_ACTIONSTRETCH:
      if( m_FlagStretch )
         m_FlagStretch = FALSE;
      else
         m_FlagStretch = TRUE;
      PostMessage( hWnd, WM_SIZE, 0, MAKELONG( g_wm_size.cx, g_wm_size.cy ));
      InvalidateRect( hWnd, NULL, TRUE );
      break;
   case IDM_EDITPASTE:
      Do_IDM_EDITPASTE( hWnd );
      break;

   case IDM_EDITCOPY:
      Do_IDM_EDITCOPY( hWnd );
      break;

   case IDM_FILECLEAR:
      Do_IDM_FILECLEAR( hWnd );
      break;

   case ID_ACTION_OPTIONS:
      Do_ID_ACTION_OPTIONS( hWnd );
      break;
   case ID_ACTION_MAGOFF:
      Magnify2Off( hWnd );
      break;

	default:
		return DefWindowProc(hWnd, WM_COMMAND, wParam, lParam);
	}
   return 0;
}

// eof - testCommand.cxx
