// testBubble.h
#ifndef _testBubble_H_
#define _testBubble_H_

typedef struct tagBUB {
   SIZE szBub;
   POINT ptMouse;
   POINT ptCurr;
   RECT  rcOuter;
   RECT  rcInner;
   RECT  rcCenter;
   HBITMAP  hOrgBmp; // for replacement ...
   HDC   hdc;  // current device context
} BUB, * PBUB;

extern void CreateBubble( PBUB pbub );
extern void DeleteBubble( PBUB pbub );
extern void SetBUBRect( PBUB pbub );
extern void Do_Bubble( PBUB pbub, int x, int y );
extern void Do_Bubble_Test( HWND hWnd, POINT pt );




#endif // _testBubble_H_
// eof - testBubble.h
