// testList.cxx

#include "testap3.h"

#ifdef   ADD_LINKED_LIST
// ========================================
//typedef struct tagFILLST {
//   LE    link; // double link list
//   UINT  flag; // flag
//   TCHAR file[1]; // file name
//}FILLST, * PFILLST;

// section TCHAR szFil[] = L"FileLists";
TCHAR szLst[] = L"List%d";
LE gsFileList = { &gsFileList, &gsFileList };
BOOL  bChgFLst = FALSE;

PLE GetFileList( void )
{
   return &gsFileList;
}

void Add2SimpleList( PLE ph, PTSTR pb )
{
   size_t dwt = lstrlen(pb);
   if(dwt) {
      PLE ple = (PLE)MALLOC( sizeof(FILLST) + (dwt * sizeof(TCHAR)) );
      if(ple) {
         PFILLST pfl = (PFILLST)ple;
         pfl->flag = 0;
         lstrcpy( &pfl->file[0], pb );
         InsertTailList( ph, ple);
         bChgFLst = TRUE;
      }
   }
}

void Add2ListHead( PLE ph, PTSTR pb )
{
   size_t dwt = lstrlen(pb);
   if(dwt) {
      PLE ple = (PLE)MALLOC( sizeof(FILLST) + (dwt * sizeof(TCHAR)) );
      if(ple) {
         PFILLST pfl = (PFILLST)ple;
         pfl->flag = 0;
         lstrcpy( &pfl->file[0], pb );
         InsertHeadList( ph, ple);
         bChgFLst = TRUE;
      }
   }
}

void Append2FileList( PTSTR pb )
{
   Add2SimpleList( GetFileList(), pb );
}

#define ExtractTailList(ph,pn) { \
    pn = (ph)->Blink;            \
    RemoveEntryList(pn);         \
    }

void Add2FileListHead( PTSTR pf )
{
   PLE ph = GetFileList();
   PLE pn;
   UINT  pos = 0;
   Traverse_List( ph, pn )
   {
      PFILLST pfl = (PFILLST)pn;
      PTSTR ps = &pfl->file[0];
      if( lstrcmpi( ps, pf ) == 0 ) {
         // found it - if NOT FIRST
         if( pos ) {
            RemoveEntryList(pn); // get this OUT OF LIST
            InsertHeadList(ph,pn);  // and make it the first HEAD entry
            bChgFLst = TRUE;
         }
         return;
      }
      pos++;
   }
   if( pos >= MXCMPLST ) {
      // EEK, must REMOVE THE LAST
      ExtractTailList(ph, pn);
      MFREE(pn);
   }
   Add2ListHead( ph, pf );
}

BOOL  IsFileListEmpty( void )
{
   return IsListEmpty(GetFileList());
}

void KillFileList( void )
{
   KillLList( GetFileList() );
}


PTSTR GetFileListStg( UINT num )
{
   PLE ph = GetFileList(); // &gsFileList;
   PLE pn;
   UINT  cnt = 0;
   Traverse_List( ph, pn )
   {
      PFILLST pfl = (PFILLST)pn;
      PTSTR ps = &pfl->file[0];
      cnt++;
      if( cnt == num )
         return ps;
   }
   return NULL;
}

#endif // #ifdef   ADD_LINKED_LIST
