// testOpen.cxx

#include "testap3.h"

// #define	FNOpenFlag1		OFN_EXPLORER | OFN_HIDEREADONLY
#define	FNOpenFlag1		OFN_EXPLORER

TCHAR szFStrJ[] =  // filter string
   L"Bitmap    (*.bmp)\0*.bmp;*.dib;*.rle\0"
   L"JPEG      (*.jpg)\0*.jpg\0"
	L"GIF       (*.gif)\0*.gif\0"
#ifdef   ADDTIFF6
   L"TIFF      (*.tif)\0*.tif\0"
#endif   // ADDTIFF6
   L"All Images Supp'd\0*.bmp;*.dib;*.rle;*.jpg;*.gif;*.tif\0"
	L"ALL         (*.*)\0*.*\0"
	L"\0";		/* WITH Double nul termination ... */

TCHAR szFStrS[] =  L"Bitmap (*.bmp)\0"\
	L"*.bmp;*.dib;*.rle\0"\
	L"ALL (*.*)\0"\
	L"*.*\0"\
	L"\0";		/* WITH Double nul termination ... */

PTSTR pszFilter = szFStrJ;	/* File Filter String */

//	case IDM_FILEOPEN:
BOOL Get_Open_File_Name( HWND hWnd )
{
   BOOL rflag = FALSE;
   LPOPENFILENAME pof = &m_sOpenFileName;
   UINT  flags = FNOpenFlag1;

   ZeroMemory( pof, sizeof(OPENFILENAME) );

   pof->lStructSize = sizeof(OPENFILENAME);
	pof->hwndOwner         = hWnd;
	pof->hInstance         = m_hInst;
	pof->lpstrFilter       = pszFilter; // pointer to nul terminated PAIRS
	pof->nFilterIndex      = (DWORD) (m_iInIndex + 1);
	pof->lpstrFile         = m_szFileIn;
	pof->nMaxFile          = 256;    // sizeof (szFile);
	pof->lpstrFileTitle    = m_szFileTitle;
	pof->nMaxFileTitle     = 256;    // sizeof (szFileTitle);
	pof->lpstrInitialDir   = m_szDirIn;	/* Should be SAVE(W) or OPEN(R) Directory */
	pof->lpstrTitle        = L"CHOOSE FILE";
	pof->Flags             = flags;
	//pof->nFileOffset       = 0;
	//pof->nFileExtension    = 0;
	//pof->lpstrDefExt       = NULL;
	if( GetOpenFileName (pof) ) {
      lstrcpy( &m_szInFile[0], pof->lpstrFile);
      if( m_iInIndex != (pof->nFilterIndex - 1) ) {
         m_bChgII = TRUE;
			m_iInIndex = (pof->nFilterIndex - 1);
      }
      rflag = TRUE;
   }
   return rflag;
}

void Do_IDM_FILEOPEN( HWND hWnd )
{
   int i = 0;
   if( Get_Open_File_Name(hWnd) ) {
      char * pb = (char *)GetNxtBuf();
      BOOL isbmp = FALSE;
      i = Wide2UTF8( &m_szInFile[0], pb, 256 );
      isbmp = IsBMPFile( pb );
      sprtf("Got file [%s] %s\n", pb,
         (isbmp ? " is BMP" : " NOT BMP") );
      if(isbmp) {
         Load_DIB_File(m_szInFile);
      }
   }
}

// eof - testOpen.cxx
